%global commitid c2005b9f06797f32032271f51fb237da72fbfd8b
%global serial 12
%{?scl:%scl_package %{?scl_prefix}mod_bmx}
%{!?scl:%global pkg_name %{name}}

%define _jarsign_opts --nocopy
%bcond_without zip

%define reltag GA
#%define namedversion %{name}-%{version}.%{reltag}
%define namedversion %{pkg_name}-%{version}

Name: %{?scl_prefix}mod_bmx
Summary: BMX is a framework for Apache to provide internal runtime statistics and configuration information to interested remote agents.
Version: 0.9.5
Release: %{serial}.%{reltag}%{?dist}
License: Apache License, Version 2.0

# https://github.com/hyperic/mod_bmx/archive/0.9.5.tar.gz
Source0: %{pkg_name}-%{commitid}.tar.gz
# build/scripts patches
#Patch1: JWS-118.patch

Group: Development/Libraries

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%if "%{?rhel}" == "7"
# 64 bit only natives on RHEL7
ExcludeArch: i386 i686
%endif

%if "%{?rhel}" == "6"
BuildRequires: perl
%endif

BuildRequires: libtool
BuildRequires: %{?scl_prefix}httpd-devel

%if "%{?rhel}" == "6"
BuildRequires: zip
%endif

Requires: %{?scl_prefix}httpd

%description
BMX is a framework for Apache to provide internal runtime statistics
and configuration information to interested remote agents. It can
be used to report on the internal workings and status of Apache at
runtime, such as performance metrics and current capacity.

%if %with zip
%package src-zip
Summary:     Container for the source distribution of mod_bmx
Group:       Development

%description src-zip
Container for the source distribution of mod_bmx.
%endif

%prep
%setup -q -n %{pkg_name}-%{commitid}
#%patch1 -p1 -b .jws118

#Create src zip to include any patches
%if %with zip
zip -q -r %{name}-%{version}-src.zip *
%endif

%build
#APXS=`which apxs` sh ./configure.apxs
scl enable jbcs-httpd24 'APXS=/opt/rh/jbcs-httpd24/root/usr/sbin/apxs sh ./configure.apxs'
scl enable jbcs-httpd24 'make'

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules/ \
         $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d

cp modules/bmx/.libs/*.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules/
rm $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_bmx_example.so
                                                                                                    
%if %with zip
mkdir -p $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev
cp %{name}-%{version}-src.zip $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun

%files
%defattr(-,root,root,-)

# %config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_snmp.conf.sample
# %config(noreplace) %{_sysconfdir}/httpd/conf.d/snmpd/snmpd.conf.sample
%{_libdir}/httpd/modules/*.so

%if %with zip
%files src-zip
%defattr(-,root,root,-)
%{_javadir}/jbossas-fordev/*
%endif

%changelog
* Wed Feb 17 2016 Fernando Nasser <fnasser@redhat.com> - 0.9.5-12
- Fix for JCSP-27 mod_bmx tar ball used does not correspond to the upstream 0.9.5 release tag

* Tue Feb 16 2016 Fernando Nasser <fnasser@redhat.com> - 0.9.5-11
- Build using source-repos

* Tue Feb 16 2016 Fernando Nasser <fnasser@redhat.com> - 0.9.5-10
- Build using source-repos

* Mon Dec 21 2015 Fernando Nasser <fnasser@redhat.com> - 0:0.9.5-8
- Build in the jbcs-httpd24 collection

* Tue Oct 27 2015 Jean-Frederic Clere <jclere@redhat.com> - 0:0.9.5-7
- Arrange JWS-118 again...

* Tue Sep 22 2015 Jean-Frederic Clere <jclere@redhat.com> - 0:0.9.5-6
- Arrange JWS-118

* Wed May 27 2015 Beck Maxime <maxbeck@redhat.com> - 0:0.9.5-5
- JWS-118

* Sat Feb 28 2015 Weinan Li <weli@redhat.com> - 0:0.9.5-4
- Remove mod_bmx_example.so

* Mon Nov 17 2014 Weinan Li <weli@redhat.com> - 0:0.9.5-3
- Enable zip across all platforms

* Thu Oct 16 2014 Weinan Li <weli@redhat.com> - 0:0.9.5-2
- Use correct httpd for el7

* Thu Sep 18 2014 Weinan Li <weli@redhat.com> - 0:0.9.5
- Initial import

